← Tabelas
Limpar

Scotland

Caledonia North Region League Division 3

#TimePWDLPDBPPtsForma
1Aberdeen Wanderers RFC5500–528WWWWW
2Deeside RFC5401–421WWLWW
3RAF Lossiemouth RFC5401–320LWWWW
4Orkney 2nd XV6303–214WLWLL
5Inverness Craig Dunain RFC4301–313WWWL
6Turriff RFC5203–513WLWLL
7Aberdeen University Medics2200–211WW
8Huntly RFC6105–26LLLLL
9Dyce RFC4103–15LLLW
10Fraserburgh RFC4103–41LLLW
11Peterhead RFC3003–00LLL
12Caithness RFC 2nd XV3003–00LLL

Fonte: Scottish Rugby · verificado 18 de out., 16:20 · Forma: os cinco últimos resultados que temos, o mais recente à direita.

Jogos e resultados →

Cada tabela é a classificação publicada pela própria liga, com bônus, punições e critérios de desempate. BP aparece onde a liga publica; nas demais já está incluído em Pts.